Build #1 for passman-cli-0.2.0.0

[all reports]

Package passman-cli-0.2.0.0
Install DependencyFailed passman-cli-0.2.0.0
Docs NotTried
Tests NotTried
Time submitted 2017-12-18 19:08:51.237496443 UTC
Compiler ghc-8.2.2
OS linux
Arch x86_64
Dependencies X11-1.8, base-4.10.1.0, conduit-1.2.12.1, contravariant-1.4, haskeline-0.7.4.0, optparse-applicative-0.14.0.0, passman-core-0.2.0.0, resourcet-1.1.10, text-1.2.2.2, yaml-0.8.25
Flags -dummyclipboard

Build log

[view raw]

Resolving dependencies...
Warning: Note that reinstalls are always dangerous. Continuing anyway...
Notice: installing into a sandbox located at
/home/builder/hackage-server/.cabal-sandbox
Configuring ansi-terminal-0.7.1.1...
Configuring data-default-instances-containers-0.0.1...
Building data-default-instances-containers-0.0.1...
Building ansi-terminal-0.7.1.1...
Failed to install data-default-instances-containers-0.0.1
Build log ( /home/builder/hackage-server/.cabal-sandbox/logs/ghc-8.2.2/data-default-instances-containers-0.0.1-A7WE5ZxkyD2DXghs3tnK2n.log ):
cabal: Entering directory '/tmp/cabal-tmp-1376/data-default-instances-containers-0.0.1'
Configuring data-default-instances-containers-0.0.1...
Preprocessing library for data-default-instances-containers-0.0.1..
Building library for data-default-instances-containers-0.0.1..
[1 of 1] Compiling Data.Default.Instances.Containers ( Data/Default/Instances/Containers.hs, dist/dist-sandbox-9df84abc/build/Data/Default/Instances/Containers.o )

Data/Default/Instances/Containers.hs:37:1: error:
    Could not find module ‘Data.Default.Class’
    There are files missing in the ‘data-default-class-0.1.2.0’ package,
    try running 'ghc-pkg check'.
    Use -v to see a list of the files searched for.
   |
37 | import Data.Default.Class
   | ^^^^^^^^^^^^^^^^^^^^^^^^^
cabal: Leaving directory '/tmp/cabal-tmp-1376/data-default-instances-containers-0.0.1'
Configuring data-default-instances-dlist-0.0.1...
Failed to install ansi-terminal-0.7.1.1
Build log ( /home/builder/hackage-server/.cabal-sandbox/logs/ghc-8.2.2/ansi-terminal-0.7.1.1-G9WTxmkEIHS8T5XM1ZnzRT.log ):
cabal: Entering directory '/tmp/cabal-tmp-1375/ansi-terminal-0.7.1.1'
Configuring ansi-terminal-0.7.1.1...
Preprocessing library for ansi-terminal-0.7.1.1..
Building library for ansi-terminal-0.7.1.1..
[1 of 4] Compiling System.Console.ANSI.Types ( System/Console/ANSI/Types.hs, dist/dist-sandbox-9df84abc/build/System/Console/ANSI/Types.o )

System/Console/ANSI/Types.hs:13:1: error:
    Could not find module ‘Data.Colour’
    There are files missing in the ‘colour-2.3.4’ package,
    try running 'ghc-pkg check'.
    Use -v to see a list of the files searched for.
   |
13 | import Data.Colour (Colour)
   | ^^^^^^^^^^^^^^^^^^^^^^^^^^^
cabal: Leaving directory '/tmp/cabal-tmp-1375/ansi-terminal-0.7.1.1'
Building data-default-instances-dlist-0.0.1...
Failed to install data-default-instances-dlist-0.0.1
Build log ( /home/builder/hackage-server/.cabal-sandbox/logs/ghc-8.2.2/data-default-instances-dlist-0.0.1-6VPSHd18HWHY1SrFsIVF8.log ):
cabal: Entering directory '/tmp/cabal-tmp-1376/data-default-instances-dlist-0.0.1'
Configuring data-default-instances-dlist-0.0.1...
Preprocessing library for data-default-instances-dlist-0.0.1..
Building library for data-default-instances-dlist-0.0.1..
[1 of 1] Compiling Data.Default.Instances.DList ( Data/Default/Instances/DList.hs, dist/dist-sandbox-9df84abc/build/Data/Default/Instances/DList.o )

Data/Default/Instances/DList.hs:36:1: error:
    Could not find module ‘Data.Default.Class’
    There are files missing in the ‘data-default-class-0.1.2.0’ package,
    try running 'ghc-pkg check'.
    Use -v to see a list of the files searched for.
   |
36 | import Data.Default.Class
   | ^^^^^^^^^^^^^^^^^^^^^^^^^

Data/Default/Instances/DList.hs:37:1: error:
    Could not find module ‘Data.DList’
    There are files missing in the ‘dlist-0.8.0.3’ package,
    try running 'ghc-pkg check'.
    Use -v to see a list of the files searched for.
   |
37 | import Data.DList
   | ^^^^^^^^^^^^^^^^^
cabal: Leaving directory '/tmp/cabal-tmp-1376/data-default-instances-dlist-0.0.1'
cabal: Error: some packages failed to install:
X11-1.8-JQVDSqa9FAk6BHX1wm2vn2 depends on X11-1.8 which failed to install.
ansi-terminal-0.7.1.1-G9WTxmkEIHS8T5XM1ZnzRT failed during the building phase.
The exception was:
ExitFailure 1
ansi-wl-pprint-0.6.8.1-4O23QCkDAx5Dl9OsYngqtd depends on
ansi-wl-pprint-0.6.8.1 which failed to install.
bcrypt-0.0.10-58b6gjhcAle9w2MIlx2arr depends on bcrypt-0.0.10 which failed to
install.
csv-conduit-0.6.7-GVAiN5RmU1gLXDtR6WeVX7 depends on csv-conduit-0.6.7 which
failed to install.
data-default-0.7.1.1-LLJD5aWfgkS1JjXQ4KEWbv depends on data-default-0.7.1.1
which failed to install.
data-default-instances-containers-0.0.1-A7WE5ZxkyD2DXghs3tnK2n failed during
the building phase. The exception was:
ExitFailure 1
data-default-instances-dlist-0.0.1-6VPSHd18HWHY1SrFsIVF8 failed during the
building phase. The exception was:
ExitFailure 1
optparse-applicative-0.14.0.0-G5ESoWYzUlkFOQnR8Oyl65 depends on
optparse-applicative-0.14.0.0 which failed to install.
passman-cli-0.2.0.0-LLwWE544eb2JPsz1vBEGTh depends on passman-cli-0.2.0.0
which failed to install.
passman-core-0.2.0.0-C6JGE2dk0ljwDXe5V6oXa depends on passman-core-0.2.0.0
which failed to install.